program fmpihelloworld
    use mpi
    implicit none

    integer :: rank, comsize
    integer :: ierr

    call MPI_INIT(ierr)

    call MPI_COMM_RANK(MPI_COMM_WORLD, rank, ierr)
    call MPI_COMM_SIZE(MPI_COMM_WORLD, comsize, ierr)

    print *, 'Hello from task ', rank, ' of ', comsize, ', world!'

    call MPI_FINALIZE(ierr)

end program fmpihelloworld
